Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFNumber

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFNumber

All Implemented Interfaces:
  PDFWritable

    public class PDFNumber

extends PDFObject

This class represents a simple number object. It also contains contains some utility methods for outputting numbers to PDF.

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFNumber()`

Method Summary
`static java.lang.String` | `doubleOut(double doubleDown)` Output a double value to a string suitable for PDF (6 decimal digits).
`static java.lang.String` | `doubleOut(java.lang.Double doubleDown)` Output a Double value to a string suitable for PDF.
`static java.lang.String` | `doubleOut(double doubleDown, int dec)` Output a double value to a string suitable for PDF.
`java.lang.Number` | `getNumber()` Returns the number.
`void` | `setNumber(java.lang.Number number)` Sets the number.
`protected java.lang.String` | `toPDFString()` This method returns a String representation of the PDF object.

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, output, outputInline, referencePDF, setDocument, setObjectNumber, setParent, toPDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFNumber

    public PDFNumber()

Method Detail

### getNumber

    public java.lang.Number getNumber()

  Returns the number.

  Returns:
    the number

### setNumber

    public void setNumber(java.lang.Number number)

  Sets the number.

  Parameters:
    `number` - the number

### doubleOut

    public static java.lang.String doubleOut(java.lang.Double doubleDown)

  Output a Double value to a string suitable for PDF.

  Parameters:
    `doubleDown` - the Double value
  Returns:
    the value as a string

### doubleOut

    public static java.lang.String doubleOut(double doubleDown)

  Output a double value to a string suitable for PDF (6 decimal digits).

  Parameters:
    `doubleDown` - the double value
  Returns:
    the value as a string

### doubleOut

    public static java.lang.String doubleOut(double doubleDown,
                                             int dec)

  Output a double value to a string suitable for PDF. In this method it is possible to set the maximum number of decimal places to output.

  Parameters:
    `doubleDown` - the Double value
    `dec` - the number of decimal places to output
  Returns:
    the value as a string

### toPDFString

    protected java.lang.String toPDFString()

  This method returns a String representation of the PDF object. The result is normally converted/encoded to a byte array by toPDF(). Only use this method to implement the serialization if the object can be fully represented as text. If the PDF representation of the object contains binary content use toPDF() or output(OutputStream) instead. This applies to any object potentially containing a string object because string object are encrypted and therefore need to be binary.

  Overrides:
    `toPDFString` in class `PDFObject`
  Returns:
    String the String representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.